# class REXML::DTD::NotationDecl

### Constants

PUBLIC
START
START_RE
SYSTEM

### Public Class Methods

new(src) click to toggle source
Calls superclass method `REXML::Child::new`

    # File lib/rexml/dtd/notationdecl.rb, line 10
    def initialize src
      super()
      if src.match( PUBLIC )
        md = src.match( PUBLIC, true )
      elsif src.match( SYSTEM )
        md = src.match( SYSTEM, true )
      else
        raise ParseException.new( "error parsing notation: no matching pattern", src )
      end
      @name = md[1]
      @middle = md[2]
      @rest = md[3]
    end

parse_source(source, listener) click to toggle source

    # File lib/rexml/dtd/notationdecl.rb, line 33
    def NotationDecl.parse_source source, listener
      md = source.match( PATTERN_RE, true )
      thing = md[0].squeeze(" \t\n\r")
      listener.send inspect.downcase, thing
    end

### Public Instance Methods

to_s() click to toggle source

    # File lib/rexml/dtd/notationdecl.rb, line 24
    def to_s
      "<!NOTATION #@name #@middle #@rest>"
    end

write( output, indent ) click to toggle source

    # File lib/rexml/dtd/notationdecl.rb, line 28
    def write( output, indent )
      indent( output, indent )
      output << to_s
    end